View Issue Details

IDProjectCategoryView StatusLast Update
0010059mantisbtrelationshipspublic2017-03-05 11:11
ReporterolegosAssigned Todhx 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0010059: Default resolution to "duplicate" if "duplicate_of" relationship exists
Description

I propose defaulting resolution to "duplicate" when resolving or closing a bug and at least one "duplicate_of" relationship exists, instead of the current "fixed".

TagsNo tags attached.

Relationships

related to 0022468 closedatrol Resolution changes in some cases when closing issues 
child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

dhx

dhx

2009-06-26 14:01

reporter   ~0022283

Good idea, I like this. I'll see what I can do.

dhx

dhx

2010-02-07 22:01

reporter   ~0024345

I've implemented this feature in the 1.3.x branch. Thanks for the suggestion!

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036519

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master cca25660

2010-02-08 02:58:09

dhx

Details Diff
Issue 0010059: Select 'duplicate' resolution automatically

If a bug X has a duplicate_of relationship with another bug Y and bug X
is resolved via bug_change_status_page.php, we should preselect the
resolution as 'duplicate'.

This commit also prevents the display of the duplicate bug ID field when
an existing duplicate relationship exists.

A new configuration option $g_bug_duplicate_resolution defines the
default resolution that is used when bugs are resolved as being
duplicates.
mod - bug_change_status_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - docbook/adminguide/en/configuration.sgml Diff File

Issue History

Date Modified Username Field Change
2009-01-16 15:45 olegos New Issue
2009-06-26 14:01 dhx Note Added: 0022283
2009-06-26 14:01 dhx Assigned To => dhx
2009-06-26 14:01 dhx Status new => assigned
2009-06-26 14:01 dhx Target Version => 1.x.x
2010-02-07 22:01 dhx Note Added: 0024345
2010-02-07 22:01 dhx Status assigned => resolved
2010-02-07 22:01 dhx Fixed in Version => 1.3.0-beta.1
2010-02-07 22:01 dhx Resolution open => fixed
2010-02-07 22:10 dhx Changeset attached master cca25660 =>
2010-04-23 23:23 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036519
2013-04-05 18:02 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed
2017-03-05 11:11 atrol Relationship added related to 0022468